For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dropbox Sign WebSDKsSign Up
DocumentationAPIChangelog
DocumentationAPIChangelog
  • API Quickstart
  • API Reference
    • Welcome
    • Authentication
    • Account
    • Signature Request
    • Template
    • Bulk Send Job
    • Report
    • Team
    • Unclaimed Draft
    • Embedded
    • API App
    • Fax
      • GETGet Fax
      • GETLists Faxes
      • GETDownload Fax Files
      • POSTSend Fax
      • DELDelete Fax
    • Fax Line
  • Manual Reference Pages
    • Warnings and Errors
    • Constants
    • Search
    • Premium Branding
    • Expiration
    • Glossary
LogoLogo
Dropbox Sign WebSDKsSign Up
API ReferenceFax

Send Fax

||View as Markdown|
POST
https://api.hellosign.com/v3/fax/send
POST
/v3/fax/send
$curl -X POST 'https://api.hellosign.com/v3/fax/send' \
> -u 'YOUR_API_KEY:' \
> -F 'files[0]=@mutual-NDA-example.pdf' \
> -F 'test_mode=1' \
> -F 'recipient=16690000001' \
> -F 'sender=16690000000' \
> -F 'cover_page_to=Jill Fax' \
> -F 'cover_page_message=I sent you a fax!' \
> -F 'cover_page_from=Faxer Faxerson' \
> -F 'title=This is what the fax is about!'
1{
2 "fax": {
3 "fax_id": "c2e9691c85d9d6fa6ae773842e3680b2b8650f1d",
4 "title": "example title",
5 "original_title": "example original title",
6 "metadata": [],
7 "created_at": 1726774555,
8 "sender": "me@dropboxsign.com",
9 "files_url": "https://api.hellosign.com/v3/fax/files/2b388914e3ae3b738bd4e2ee2850c677e6dc53d2",
10 "transmissions": [
11 {
12 "recipient": "recipient@dropboxsign.com",
13 "status_code": "success",
14 "sent_at": 1723231831,
15 "sender": "me@dropboxsign.com"
16 }
17 ],
18 "subject": "example subject",
19 "message": "example message"
20 }
21}

Creates and sends a new Fax with the submitted file(s)

Was this page helpful?
Previous

Download Fax Files

Next

Delete Fax

Built with

Authentication

AuthorizationBasic

Your API key can be used to make calls to the Dropbox Sign API. See Authentication for more information. āœ… Supported by Try it console (calls sent in test_mode only).

OR
AuthorizationBearer
You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See [Authentication](/api/reference/authentication) for more information. āŒ **Not supported** by Try it console.

Request

This endpoint expects an object.
recipientstringRequired
Recipient of the fax Can be a phone number in E.164 format or email address
senderstringOptional

Fax Send From Sender (used only with fax number)

fileslist of stringsOptional

Use files[] to indicate the uploaded file(s) to fax

This endpoint requires either files or file_urls[], but not both.

file_urlslist of stringsOptional

Use file_urls[] to have Dropbox Fax download the file(s) to fax

This endpoint requires either files or file_urls[], but not both.

test_modebooleanOptionalDefaults to false
API Test Mode Setting
cover_page_tostringOptional
Fax cover page recipient information
cover_page_fromstringOptional
Fax cover page sender information
cover_page_messagestringOptional
Fax Cover Page Message
titlestringOptional
Fax Title

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
faxobject
warningslist of objects
A list of warnings.

Errors

4XX
Client Request Error

You can use an Access Token issued through an OAuth flow to send calls to the Dropbox Sign API from your app. The access scopes required by this endpoint are listed in the gray box above. See Authentication for more information. āŒ Not supported by Try it console.